# CbcObjectUpdateData Class Reference

`#include <CbcObjectUpdateData.hpp>`

Collaboration diagram for CbcObjectUpdateData:
[legend]

List of all members.

## Public Member Functions
| CbcObjectUpdateData ()
| Default Constructor.
| CbcObjectUpdateData (CbcObject *object, int way, double change, int status, int intDecrease_, double branchingValue)
| Useful constructor.
| CbcObjectUpdateData (const CbcObjectUpdateData &)
| Copy constructor.
CbcObjectUpdateData & | operator= (const CbcObjectUpdateData &rhs)
| Assignment operator.
virtual | ~CbcObjectUpdateData ()
| Destructor.
## Public Attributes
CbcObject * | object_
| data
int | way_
| Branch as defined by instance of CbcObject.
int | objectNumber_
| Object number.
double | change_
| Change in objective.
int | status_
| Status 0 Optimal, 1 infeasible, 2 unknown.
int | intDecrease_
| Decrease in number unsatisfied.
double | branchingValue_
| Branching value.
double | originalObjective_
| Objective value before branching.
double | cutoff_
| Current cutoff.

## Detailed Description

Definition at line 14 of file CbcObjectUpdateData.hpp.

## Constructor & Destructor Documentation

CbcObjectUpdateData::CbcObjectUpdateData | ( |  | ) |

Default Constructor.

CbcObjectUpdateData::CbcObjectUpdateData | ( | CbcObject * | object,
|  | int | way,
|  | double | change,
|  | int | status,
|  | int | intDecrease_,
|  | double | branchingValue |
| ) |  |  |

Useful constructor.

CbcObjectUpdateData::CbcObjectUpdateData | ( | const CbcObjectUpdateData & |  | ) |

Copy constructor.

virtual CbcObjectUpdateData::~CbcObjectUpdateData | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

CbcObjectUpdateData& CbcObjectUpdateData::operator= | ( | const CbcObjectUpdateData & | rhs | ) |

Assignment operator.

## Member Data Documentation

CbcObject* CbcObjectUpdateData::object_

data

Object

Definition at line 43 of file CbcObjectUpdateData.hpp.

int CbcObjectUpdateData::way_

Branch as defined by instance of CbcObject.

Definition at line 45 of file CbcObjectUpdateData.hpp.

int CbcObjectUpdateData::objectNumber_

Object number.

Definition at line 47 of file CbcObjectUpdateData.hpp.

double CbcObjectUpdateData::change_

Change in objective.

Definition at line 49 of file CbcObjectUpdateData.hpp.

int CbcObjectUpdateData::status_

Status 0 Optimal, 1 infeasible, 2 unknown.

Definition at line 51 of file CbcObjectUpdateData.hpp.

int CbcObjectUpdateData::intDecrease_

Decrease in number unsatisfied.

Definition at line 53 of file CbcObjectUpdateData.hpp.

double CbcObjectUpdateData::branchingValue_

Branching value.

Definition at line 55 of file CbcObjectUpdateData.hpp.

double CbcObjectUpdateData::originalObjective_

Objective value before branching.

Definition at line 57 of file CbcObjectUpdateData.hpp.

double CbcObjectUpdateData::cutoff_

Current cutoff.

Definition at line 59 of file CbcObjectUpdateData.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcObjectUpdateData.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines